%define source_date 20081002

%define subrel 2

Name: mandriva-kde4-config
Summary: Mandriva KDE 4 configuration
Version: 2009.0
Release: %mkrel 50
URL: http://www.mandriva.com
Group: Graphical desktop/KDE
BuildRoot: %_tmppath/%name-buildroot
BuildRequires: kde4-macros
Source0: %{name}-%{version}.%{source_date}.tar.bz2
Source1: kde4-firstsetup.sh
Source2: mdvbutton.svg
# (fc) 2009.0-48mdv update flash subpackage for Flash 2009, based on SVN
Patch0: mandriva-kde4-config-2009.0-flash.patch
# Config changes for kde 4.2.4
Patch1: mandriva-kde4-config-2009.0-kde4.2.4.patch
License: GPL
BuildArch: noarch

%description
This package regroups all specific Mandriva config file for KDE.
(kicker config etc.)

#--------------------------------------------------------------------

%package common
Group: Graphical desktop/KDE
Summary: Common configs used for Mandriva theme
Requires(pre): update-alternatives
Requires: urw-fonts
Requires: mandriva-theme-screensaver

%description common
common configs used for Mandriva theme

%post common
update-alternatives --install %_sysconfdir/kde4rc kde4-config %_localstatedir/lib/mandriva/kde4-profiles/common/upstream-kde4-config 9

%postun common
if ! [ -e /var/lib/mandriva/kde4-profiles/common/upstream-kde4-config ]; then
  update-alternatives --remove kde4-config /var/lib/mandriva/kde4-profiles/common/upstream-kde4-config
fi

%files common
%defattr(0644,root,root,755)
%dir %_localstatedir/lib/mandriva/
%dir %_localstatedir/lib/mandriva/kde4-profiles
%dir %_localstatedir/lib/mandriva/kde4-profiles/common
%_localstatedir/lib/mandriva/kde4-profiles/common/*
%_datadir/kde4/env/*
%_kde_iconsdir/oxygen/scalable/places/mdvbutton.svg
%_kde_configdir/kdeglobals
%exclude %_localstatedir/lib/mandriva/kde4-profiles/common/share/config/kdm

#--------------------------------------------------------------------

%package -n powerpack-kde4-config
Summary: Mandriva KDE configuration 
Group: Graphical desktop/KDE
Provides: kde4-config-file = %version-%release
Requires: mandriva-theme
Requires: desktop-common-data
Requires(pre): mandriva-kde4-config-common = %version-%release
Obsoletes: mandriva-kde4-config-file < 2008.0
Obsoletes: powerpackplus-kde4-config < 2008.0 
Provides: powerpackplus-kde4-config = %version-%release
Requires(preun): mandriva-kde4-config-common

%pre -n powerpack-kde4-config
if [ "$1" = "2" ]; then
	[ ! -h %_sysconfdir/kde4rc ] && rm -f %_sysconfdir/kde4rc ]
fi
if [ -d %_localstatedir/lib/mandriva/kde4-profiles/powerpack/share/apps/kdesktop/Desktop ]; then
  rm -rf %_localstatedir/lib/mandriva/kde4-profiles/powerpack/share/apps/kdesktop/Desktop
fi

%post -n powerpack-kde4-config
update-alternatives --install %_sysconfdir/kde4rc kde4-config %_localstatedir/lib/mandriva/kde4-profiles/powerpack/kde4rc 25

%postun -n powerpack-kde4-config
if ! [ -e /var/lib/mandriva/kde4-profiles/powerpack/kde4rc ]; then
  update-alternatives --remove kde4-config /var/lib/mandriva/kde4-profiles/powerpack/kde4rc
fi

%description -n powerpack-kde4-config
This package regroups all specific Mandriva config file for KDE.

%files -n powerpack-kde4-config
%defattr(0644,root,root,755)
%dir %_localstatedir/lib/mandriva/kde4-profiles/powerpack
%_localstatedir/lib/mandriva/kde4-profiles/powerpack/*

#--------------------------------------------------------------------

%package -n one-kde4-config
Summary: Mandriva KDE configuration 
Group: Graphical desktop/KDE
Provides: kde4-config-file = %version-%release
Requires: mandriva-theme
Requires: desktop-common-data
Requires(pre): mandriva-kde4-config-common = %version-%release
Obsoletes: mandriva-kde4-config-file < 2008.0
Requires(preun): mandriva-kde4-config-common

%description -n one-kde4-config
This package regroups all specific Mandriva config file for KDE.

%pre -n one-kde4-config
if [ "$1" = "2" ]; then
	[ ! -h %_sysconfdir/kde4rc ] && rm -f %_sysconfdir/kde4rc ]
fi
if [ -d %_localstatedir/lib/mandriva/kde4-profiles/one/share/apps/kdesktop/Desktop ]; then
  rm -rf %_localstatedir/lib/mandriva/kde4-profiles/one/share/apps/kdesktop/Desktop
fi

%post -n one-kde4-config
update-alternatives --install %_sysconfdir/kde4rc kde4-config %_localstatedir/lib/mandriva/kde4-profiles/one/kde4rc 15

%postun -n one-kde4-config
if ! [ -e /var/lib/mandriva/kde4-profiles/one/kde4rc ]; then
  update-alternatives --remove kde4-config /var/lib/mandriva/kde4-profiles/one/kde4rc
fi

%files -n one-kde4-config
%defattr(0644,root,root,755)
%dir %_localstatedir/lib/mandriva/kde4-profiles/one
%_localstatedir/lib/mandriva/kde4-profiles/one/*


#--------------------------------------------------------------------

%package -n flash-kde4-config
Summary: Mandriva KDE configuration 
Group: Graphical desktop/KDE
Provides: kde4-config-file = %version-%release
Requires: mandriva-theme
Requires: desktop-common-data
Requires(pre): mandriva-kde4-config-common = %version-%release
Obsoletes: mandriva-kde4-config-file < 2008.0
Requires(preun): mandriva-kde4-config-common

%description -n flash-kde4-config
This package regroups all specific Mandriva config file for KDE.

%pre -n flash-kde4-config
if [ "$1" = "2" ]; then
	[ ! -h %_sysconfdir/kde4rc ] && rm -f %_sysconfdir/kde4rc ]
fi
if [ -d %_localstatedir/lib/mandriva/kde4-profiles/flash/share/apps/kdesktop/Desktop ]; then
  rm -rf %_localstatedir/lib/mandriva/kde4-profiles/flash/share/apps/kdesktop/Desktop
fi

%post -n flash-kde4-config
update-alternatives --install %_sysconfdir/kde4rc kde4-config %_localstatedir/lib/mandriva/kde4-profiles/flash/kde4rc 10

%postun -n flash-kde4-config
if ! [ -e /var/lib/mandriva/kde4-profiles/flash/kde4rc ]; then
  update-alternatives --remove kde4-config /var/lib/mandriva/kde4-profiles/flash/kde4rc
fi

%files -n flash-kde4-config
%defattr(0644,root,root,755)
%dir %_localstatedir/lib/mandriva/kde4-profiles/flash
%_localstatedir/lib/mandriva/kde4-profiles/flash/*


#--------------------------------------------------------------------

%package -n free-kde4-config
Summary: Mandriva KDE configuration 
Group: Graphical desktop/KDE
Provides: kde4-config-file = %version-%release
Requires: mandriva-theme
Requires: desktop-common-data
Requires(pre): mandriva-kde4-config-common = %version-%release
Obsoletes: mandriva-kde4-config-file < 2008.0
Requires(preun): mandriva-kde4-config-common
Obsoletes: download-kde4-config-2007 < 2008.0 
Provides:	download-kde4-config-2007
Obsoletes: discovery-kde4-config < 2008.0
Provides: discovery-kde4-config = %version-%release

%description -n free-kde4-config
This package regroups all specific Mandriva config file for KDE.

%pre -n free-kde4-config
if [ "$1" = "2" ]; then
	[ ! -h %_sysconfdir/kde4rc ] && rm -f %_sysconfdir/kde4rc ]
fi
if [ -d %_localstatedir/lib/mandriva/kde4-profiles/free/share/apps/kdesktop/Desktop ]; then
  rm -rf %_localstatedir/lib/mandriva/kde4-profiles/free/share/apps/kdesktop/Desktop
fi

%post -n free-kde4-config
update-alternatives --install %_sysconfdir/kde4rc kde4-config %_localstatedir/lib/mandriva/kde4-profiles/free/kde4rc 20

%postun -n free-kde4-config
if ! [ -e /var/lib/mandriva/kde4-profiles/free/kde4rc ]; then
  update-alternatives --remove kde4-config /var/lib/mandriva/kde4-profiles/free/kde4rc
fi

%files -n free-kde4-config
%defattr(0644,root,root,755)
%dir %_localstatedir/lib/mandriva/kde4-profiles/free
%_localstatedir/lib/mandriva/kde4-profiles/free/*


#--------------------------------------------------------------------
# KDM

%package -n mandriva-kdm4-config
Summary: Mandriva KDM config file
Group: Graphical desktop/KDE
Obsoletes: kdebase-kdm4-config-file < 2008.0
Provides: kdm4-config-file = %version-%release
# For upgrade 
Provides: kdebase-kdm4-config-file = 2:%version 
Obsoletes: mandriva-kde4-config-file < 2008.0
Requires(post): perl-MDK-Common

%description -n mandriva-kdm4-config
Mandriva KDM config file

%trigger -n mandriva-kdm4-config -- kdebase-kdm4-config-file 
perl -MMDK::Common -e 'update_gnomekde4rc("%{_kde_configdir}/kdm/kdmrc", "General", "ConsoleTTYs", "tty1,tty2,tty3,tty4,tty5,tty6", "ServerVTs", "-7")'

%post -n mandriva-kdm4-config
mkdir -p %_kde_configdir/kdm
if [ -f %_kde_configdir/kdm/kdmrc -a ! -h %_kde_configdir/kdm/kdmrc ]; then
	mv %_kde_configdir/kdm/kdmrc %_kde_configdir/kdm/kdmrc.rpmold
fi
if [ -f %_kde_configdir/kdm/backgroundrc -a ! -h %_kde_configdir/kdm/backgroundrc ]; then
	mv %_kde_configdir/kdm/backgroundrc %_kde_configdir/kdm/backgroundrc.rpmold
fi
update-alternatives --install \
	%_kde_configdir/kdm/kdmrc kdm4-config \
	%_localstatedir/lib/mandriva/kde4-profiles/common/share/config/kdm/kdmrc \
	10 \
	--slave \
	%_kde_configdir/kdm/backgroundrc \
	kdm4-background-config \
	%_localstatedir/lib/mandriva/kde4-profiles/common/share/config/kdm/backgroundrc

%postun -n mandriva-kdm4-config
if ! [ -e /var/lib/mandriva/kde4-profiles/common/share/config/kdmrc ]; then
  update-alternatives --remove kdm4-config /var/lib/mandriva/kde4-profiles/common/share/config/kdmrc
fi

%files -n mandriva-kdm4-config
%defattr(0644,root,root,0755)
%config(noreplace) %_localstatedir/lib/mandriva/kde4-profiles/common/share/config/kdm/backgroundrc
%config(noreplace) %_localstatedir/lib/mandriva/kde4-profiles/common/share/config/kdm/kdmrc
%_kde_appsdir/kdm/themes

#---------------------------------------

%prep
%setup -q
%patch0 -p1
%patch1 -p0

#needed by patch0, remove when patch0 is no longer needed
cp kde4-profiles/powerpack/share/apps/ksplash/Themes/Powerpack/Preview.png kde4-profiles/flash/share/apps/ksplash/Themes/Powerpack/Preview.png
rm -fr kde4-profiles/flash/sounds

%install
rm -rf %buildroot
# Create profile dirs
mkdir -p %buildroot/%{_kde_appsdir}/kdm
mkdir -p %buildroot/%{_kde_configdir}/kdm
mkdir -p %buildroot/%_localstatedir/lib/mandriva

mv kde4-profiles/common/share/config/kdm/themes %buildroot/%{_kde_appsdir}/kdm
mv kde4-profiles %buildroot/%_localstatedir/lib/mandriva

mkdir -p %buildroot%_kde_iconsdir/oxygen/scalable/places/
mkdir -p %buildroot/%_localstatedir/lib/mandriva/kde4-profiles/common/share/apps/mandriva/pics/
cp %SOURCE2 %buildroot/%_localstatedir/lib/mandriva/kde4-profiles/common/share/apps/mandriva/pics/
cp %SOURCE2 %buildroot/%_kde_iconsdir/oxygen/scalable/places/

for name in flash free one powerpack; do
    echo "[Directories-default]" > %buildroot%_localstatedir/lib/mandriva/kde4-profiles/$name/kde4rc
    echo "prefixes=/var/lib/mandriva/kde4-profiles/common,%_localstatedir/lib/mandriva/kde4-profiles/$name" >> %buildroot%_localstatedir/lib/mandriva/kde4-profiles/$name/kde4rc
done

# Upstream
echo "[Directories-default]" > %buildroot%_localstatedir/lib/mandriva/kde4-profiles/common/upstream-kde4-config
echo "prefixes=%{_kde_prefix}" >> %buildroot%_localstatedir/lib/mandriva/kde4-profiles/common/upstream-kde4-config

mkdir -p %buildroot/%_datadir/kde4/env
install -m 755 %SOURCE1 %buildroot/%_datadir/kde4/env

# there is a nasty bug in KSharedConfig which makes some instances not to read
# kdeglobals from kde prefixes, so copying it to /usr/share/config is the workaround 
# for now
cp %buildroot%_localstatedir/lib/mandriva/kde4-profiles/common/share/config/kdeglobals %buildroot/%{_kde_configdir}/


%clean
rm -rf %buildroot


%changelog
* Thu Jun 18 2009 Helio Chissini de Castro <helio@mandriva.com> 2009.0-50.2mdv2009.0
+ Revision: 387181
- We need modify launchers in update
- Fixed button icon and itens in topbar
- Prepare proper config for 2009.0 using kde 4.2.4
- Major KDE 4.2.3 update

  + Frederic Crozat <fcrozat@mandriva.com>
    - Update patch0 to no longer using -br option when starting X server in kdm
    - Bump release
    - Patch0 (SVN): update flash subpackage for Flash 2009, with help from Helio on SVG file

* Thu Oct 02 2008 Gustavo Pichorim Boiko <boiko@mandriva.com> 2009.0-47mdv2009.0
+ Revision: 290958
- There is a bug in KSharedConfig which makes it not reading kdeglobals
  from kde prefixes. Fixed by copying kdeglobals to /usr/share/config.

* Thu Oct 02 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-46mdv2009.0
+ Revision: 290901
- Amarok and kdm rc rational changes
- Little larger and sharp Mandriva button

* Wed Oct 01 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-45mdv2009.0
+ Revision: 290671
- Update mandriva base menu icon

* Wed Oct 01 2008 Olivier Blin <oblin@mandriva.com> 2009.0-44mdv2009.0
+ Revision: 290327
- remove special case for draklive-install, it has nothing to do here

* Tue Sep 30 2008 Gustavo Pichorim Boiko <boiko@mandriva.com> 2009.0-43mdv2009.0
+ Revision: 290230
- Fix the status messages for the splash screen
- Make the slideshow the default screensaver and point it to the right directory

* Tue Sep 30 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-42mdv2009.0
+ Revision: 290143
- Draklive icon should go in the right directory, not a specific Desktop since we're using translated xdg-user-dirs
- Missing config confirmation after desktop icons creation

* Tue Sep 30 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-40mdv2009.0
+ Revision: 290124
- We should not require binaries in kde4 config. Splash should go to runtime package

* Mon Sep 29 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-39mdv2009.0
+ Revision: 289683
- folderview now receive icons from Mandriva

* Thu Sep 25 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-38mdv2009.0
+ Revision: 288238
- Change place for env file, as requested

* Thu Sep 25 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-37mdv2009.0
+ Revision: 288219
- Silence nepomuk in startup...

* Thu Sep 25 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-36mdv2009.0
+ Revision: 288131
- Locale for kdm was hardcoded ( last file ? )
- Sub shell script in env with exit invokes all default desktop calls bail out. Similar issue happened in keychain script

* Thu Sep 25 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-35mdv2009.0
+ Revision: 287979
- Powersave comes from first setup in a script, this eliminate the issue of having a useless applet in the panel bar

* Wed Sep 24 2008 Arthur Renato Mello <arthur@mandriva.com> 2009.0-34mdv2009.0
+ Revision: 287942
- Adding ksplash themes information to be show on system settings

* Tue Sep 23 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-33mdv2009.0
+ Revision: 287384
- Put proper powersave applet

* Tue Sep 23 2008 Arthur Renato Mello <arthur@mandriva.com> 2009.0-32mdv2009.0
+ Revision: 287237
- Adding require for kde4-splash-mdv
- Changing ksplashrc to use kde4-splash-mdv

* Mon Sep 22 2008 Arthur Renato Mello <arthur@mandriva.com> 2009.0-31mdv2009.0
+ Revision: 287132
- Importing KDE Splash Themes for 2009.0

* Mon Sep 22 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-30mdv2009.0
+ Revision: 287095
- Applets position

* Mon Sep 22 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-29mdv2009.0
+ Revision: 286821
- Added battery applet
- Added four oasis defined mimetype icons provided by Cabral
- Try to move systray applet to a different position to come before clock
- Little changes to make Qa and Vincent happy. ( or less annoyed )
- Clock position
- Notification applet

* Fri Sep 12 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-27mdv2009.0
+ Revision: 284274
- Mandriva launcher menu.

* Wed Sep 10 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-26mdv2009.0
+ Revision: 283579
- Add button on kdm

* Fri Sep 05 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-25mdv2009.0
+ Revision: 281355
- Fix the untested firefox modification which lead kfmclient going nuts

* Thu Sep 04 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-24mdv2009.0
+ Revision: 280954
- Sounds back to ia_ora

* Fri Aug 29 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-23mdv2009.0
+ Revision: 277340
- Forced 96dpi to fonts as requested

* Thu Aug 28 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-22mdv2009.0
+ Revision: 276869
- Fix menubar images

* Wed Aug 27 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-21mdv2009.0
+ Revision: 276606
- We don't want real files sit on kdm, so move old ones to kdmrc.old
- Update kdm theme with final layout

* Tue Aug 26 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-19mdv2009.0
+ Revision: 276079
- Prepare icons for mandriva menu

* Tue Aug 19 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-18mdv2009.0
+ Revision: 273951
- Prepare to iaora style and window decorator

* Tue Aug 12 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-17mdv2009.0
+ Revision: 271131
- Added notification applet and lock applet on kicker like bar

* Thu Aug 07 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-16mdv2009.0
+ Revision: 266299
- Start to populate configs

* Mon Jul 28 2008 Gustavo Pichorim Boiko <boiko@mandriva.com> 2009.0-15mdv2009.0
+ Revision: 251495
- Make IaOra the default widget style

* Fri Jul 18 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-14mdv2009.0
+ Revision: 238302
- Disable all kwin effects

* Wed Jul 09 2008 Olivier Blin <oblin@mandriva.com> 2009.0-13mdv2009.0
+ Revision: 232934
- make sure /usr/share/config/kdm exists before alternative is set
  (kdm owns /usr/share/config/kdm, but is installed after,
   since it requires mandriva-kdm4-config)

* Tue Jul 08 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-12mdv2009.0
+ Revision: 232852
- Added alternatives method for kdm. Is easier handle this way than change old C codebase for read standard profiles.
- Post kdm4 packages will requires kdm4-config-file, which mean any oem or different layout for kdm can now be easyly handled
  by alternatives.
- Upstream kdm config will be provided in future

* Fri Jul 04 2008 Anssi Hannula <anssi@mandriva.org> 2009.0-11mdv2009.0
+ Revision: 231821
- fix typo in upstream-kde4-config alternatives command of -common
- own /var/lib/mandriva/kde4-profiles in -common

* Tue Jun 24 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-10mdv2009.0
+ Revision: 228720
- Panel basic default fixed
- kwin simple effects with xrender
- Aya theme as base

* Tue Jun 24 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-8mdv2009.0
+ Revision: 228601
- Use theme in appsdir for now
- Adding somple plasma theme

* Fri Jun 20 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-7mdv2009.0
+ Revision: 227629
- Fixed config to match right wallpaper and include a bar that was missing

* Fri Jun 20 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-6mdv2009.0
+ Revision: 227564
- Update kdmrc for new X paths

* Thu Jun 19 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-5mdv2009.0
+ Revision: 227181
-Small rusty configs

  + Pixel <pixel@mandriva.com>
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

* Mon May 26 2008 Nicolas Lécureuil <neoclust@mandriva.org> 2009.0-4mdv2009.0
+ Revision: 211392
- Reupload because of missing binary

* Thu May 22 2008 Nicolas Lécureuil <neoclust@mandriva.org> 2009.0-3mdv2009.0
+ Revision: 210140
- Move in /usr

* Wed May 07 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-2mdv2009.0
+ Revision: 202873
- Fixed kdm theme location

* Tue May 06 2008 Helio Chissini de Castro <helio@mandriva.com> 2009.0-1mdv2009.0
+ Revision: 202258
- Remove conflicts that was suppose to be to kde 3 package
- First fully functional kde4 config

* Thu Jan 03 2008 Olivier Blin <oblin@mandriva.com> 2008.0-2mdv2008.1
+ Revision: 140944
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Oct 03 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2008.0-2mdv2008.0
+ Revision: 95234
- Use double click by default

* Tue Oct 02 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 2008.0-1mdv2008.0
+ Revision: 94679
- import mandriva-kde4-config


